import { api, downloadFile, createApiUrl} from '~/utils/axios';


                       /**
                       * 导出网站tdk
                       * @param {Object} data
                       * @return {Promise} api
                       */
                       export function exportExcel(data) {
                           downloadFile(createApiUrl('Tdk.Tdk/exportExcel'), data);
                       }
                       
                       /**
                        * 下载网站tdk模板
                        * @param {Object} data
                        * @return {Promise} api
                        */
                       export function downloadTemplate(data) {
                           downloadFile(createApiUrl('Tdk.Tdk/downloadTemplate'), data);
                       }
                       
                       /**
                        * 导入网站tdk
                        * @param {Object} data
                        * @return {Promise} api
                        */
                       export const importExcel = createApiUrl('Tdk.Tdk/importExcel');
                       






                       /**
                        * 获取字典值
                        * @param {Object} data
                        * @return {Promise} api
                        */
                       export function getDictionary(data) {
                         return api.post('Dictionary.Dictionary/getDictionary', data, {
                         });
                       }
                       

/**
 * 获取网站tdk列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getTdkList(data) {
  return api.post('Tdk.Tdk/getTdkList', data);
}

/**
 * 删除网站tdk
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteTdk(data) {
  return api.post('Tdk.Tdk/deleteTdk', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加网站tdk
 * @param {Object} data
 * @return {Promise} api
 */
export function addTdk(data) {
  return api.post('Tdk.Tdk/addTdk', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑网站tdk
 * @param {Object} data
 * @return {Promise} api
 */
export function editTdk(data) {
  return api.post('Tdk.Tdk/editTdk', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
